Subject: RE: [mobile-ip] MIPv6 spec:Security Issue with 'R' bit in Prefix Information Option

From: "Mohan Parthasarathy" <[email-masked]>
Date: Fri, 14 Feb 2003 11:06:02 -0800

RFC2461 says

      The use of link-local addresses to uniquely identify routers (for
      Router Advertisement and Redirect messages) makes it possible for
      hosts to maintain the router associations in the event of the site
      renumbering to use new global prefixes.

Also, one could possibly guess the global address using the link-local address
and the prefix length, prefix in the RA. So, i am not sure how big this attack is.

-mohan

> -----Original Message-----
> From: James Kempf [mailto:[email-masked]]
> Sent: Friday, February 14, 2003 9:20 AM
> To: Rajeev Koodli; Hesham Soliman (EAB)
> Cc: Woojune Kim; [email-masked]
> Subject: [mobile-ip] MIPv6 spec:Security Issue with 'R' bit in Prefix
> Information Option
> 
> 
> > Yes. The 'R' bit in Prefix Information Option of RA.
> > Sorry..
> >
> 
> Section 7.2 of draft-ietf-mobileip-ipv6-20.txt) specifies 
> this as a MUST only
> for home agents. It is a MAY for other routers.
> 
> Unless I am missing something, advertising a global address 
> for a last hop
> router to a host raises a possible security risk. Though we 
> should confirm this
> with the IPv6 list, I suspect that the reason a global 
> address was not specified
> in RFC 2461 in the first place was because the authors wanted 
> to avoid the
> possibiity that a host could send the address to some other 
> host across the
> Internet, and the other host could then launch a DoS attack 
> on the router. Also,
> while a case might be made for a home agent, the subnet 
> anycast address can be
> used for the purpose of having the host contact the home 
> agent. For any other
> router, there is no need for this, and I can't see an ISP 
> deploying this since
> it will expose their last hop routers.
> 
> Any idea why this is in the draft, and any chance it can be 
> removed? I realize
> time is late.
> 
>             jak
> 
> 
> 
> 
> 
>